こんにちは、なかむら(う)です。

In message "[ruby-dev:30061] Re: merge YARV"
    on Jan.01,2007 08:25:24, <ko1 / atdot.net> wrote:
| ext:
| * openssl, tk はコンパイルできるまではしているのですが、全然動かしており
| ません。ご確認頂けますでしょうか。

VC6でtk(というかtcltklib)がリンクできません。
リンク時にシンボルの不足をチェックしない環境なら、通っちゃう
んですかね。
こんな感じ。

tcltklib.obj : error LNK2001: 外部シンボル "_is_ruby_native_thread" は未解決です
tcltklib.obj : error LNK2001: 外部シンボル "_rb_proc_new" は未解決です

この両者はどうすればいいんでしょう?
特に後者はintern.hに宣言はあるのに定義がないような。


それでは。
-- 
U.Nakamura <usa / garbagecollect.jp>